package UserInt;

import java.awt.*;

public class MessageDialog extends WorkaroundDialog {

  public MessageDialog(Frame parent, String title, boolean modal,
                       String text[], String buttons[]) {
    super(parent, title, modal);
    int textLines = text.length;
    int numButtons = buttons.length;
    Panel textPanel = new Panel();
    Panel buttonPanel = new Panel();
    textPanel.setLayout(new GridLayout(textLines, 1));
    for (int i=0; i < textLines; i++)
      textPanel.add(new Label(text[i]));
    for (int i=0; i < numButtons; i++)
      buttonPanel.add(new Button(buttons[i]));
    add("North", textPanel);
    add("South", buttonPanel);
    setBackground(Color.lightGray);
    setForeground(Color.black);
    pack();
    resize(minimumSize());
  }
  
  public boolean handleEvent(Event event) {
  
    if (event.id == Event.WINDOW_DESTROY)
      show(false);
    else if (event.id == Event.ACTION_EVENT && event.target instanceof Button)
      show(false);
    return false;
  }
  
}
